%def_disable static

Name: libdbus-glib
Version: 0.73
Release: alt1

Summary: GLib bindings for D-BUS
License: GPL or Academic Free License
Group: System/Libraries
URL: http://www.freedesktop.org/Software/dbus

Packager: Igor Zubkov <icesik@altlinux.org>

Source0: dbus-glib-%version.tar.gz

Requires: dbus >= 0.94

BuildPreReq: libdbus-devel >= 0.94

# Automatically added by buildreq on Mon Dec 04 2006 (cleaned by icesik)
#BuildRequires: dbus doxygen gcc-c++ gcc-fortran glib2-devel libdbus-devel libexpat-devel linux-libc-headers packages-info-i18n-common xmlto
BuildRequires: dbus doxygen gcc-c++ glib2-devel libdbus-devel libexpat-devel xmlto gtk-doc

%if_enabled status
BuildRequires: glibc-devel-static
%endif

%description
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.
				      
This package contains D-BUS library wrapper suitable for applications
which make use of GLib event loop.

%package devel
Summary: GLib bindings development files for D-BUS
Group: Development/C
Requires: %name = %version-%release

Requires: libdbus-devel >= 0.94
Requires: glib2-devel

Requires: dbus >= 0.94

%description devel
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains GLib bindings development files for D-BUS.

%package doc
Summary: GLib bindings documentation for D-BUS
Group: Development/C
Requires: %name = %version-%release

%description doc
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains GLib bindings documentation files for D-BUS.



%if_enabled static
%package devel-static
Summary: GLib bindings development files for D-BUS
Group: Development/C
Requires: %name-devel = %version-%release
BuildRequires: glib2-devel-static

%description devel-static
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains GLib bindings static libraries for D-BUS
%endif

%prep
%setup -q -n dbus-glib-%version

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

bzip2 -k ChangeLog

%post
%post_ldconfig

%postun
%postun_ldconfig

%files 
%doc AUTHORS ChangeLog.bz2 HACKING NEWS README
%_libdir/lib*.so.*

%files devel
%_bindir/dbus-binding-tool
%dir %_includedir/dbus-1.0/
%_includedir/dbus-1.0/dbus/dbus*.h
%_libdir/lib*.so
%_pkgconfigdir/dbus-glib-1.pc

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%files doc
%dir %_datadir/gtk-doc/html/dbus-glib/
%_datadir/gtk-doc/html/dbus-glib/*

%changelog
* Tue Apr 10 2007 Igor Zubkov <icesik@altlinux.org> 0.73-alt1
- 0.72 -> 0.73
- clean up buildrequires
- add docs

* Sun Dec 24 2006 Igor Zubkov <icesik@altlinux.org> 0.72-alt2
- merge eostapets@ changes
- add libdbus-devel >= 0.94 to buildprereq

* Sat Dec 16 2006 Eugene Ostapets <eostapets@altlinux.org> 0.72-alt1.1
- buildrequires gtk-doc
- separate package with docs

* Mon Dec 04 2006 Igor Zubkov <icesik@altlinux.org> 0.72-alt1
- 0.71 -> 0.72

* Tue Oct 31 2006 Igor Zubkov <icesik@altlinux.org> 0.71-alt1
- Initial build for Sisyphus

